package com.kexun.controller;

//import ch.qos.logback.core.rolling.helper.FileStoreUtil;
//import ch.qos.logback.core.util.FileUtil;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.kexun.common.utils.Result;
import com.kexun.entity.BusinessInfo;
import com.kexun.entity.CustomInfo;
import com.kexun.service.CustomInfoService;
import lombok.extern.java.Log;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/admin/business")
@Log
public class BusinessController {

    @Autowired
    private com.kexun.service.BusinessService BusinessService;

    @Autowired
    private CustomInfoService CustomInfoService;
    @RequestMapping("getBusinessSize")
    public Result getBusinessSize(@RequestBody String json) {
        JSONObject req = JSON.parseObject(json);
        int businessType = req.getIntValue("businessType");
        List<BusinessInfo> list=null;
        switch(businessType){
            case 1:
                list = BusinessService.queryBusinessList("'0'",null);
                for (BusinessInfo businessInfo : list) {
                    if (businessInfo.getStatus().equals("0")) {
                        businessInfo.setStatus("待解析");
                    }
                }
                break;
            case 2:
                list = BusinessService.queryBusinessList("'1','2'",null);
                for (BusinessInfo businessInfo : list) {
                    if (businessInfo.getStatus().equals("1")) {
                        businessInfo.setStatus("解析完成");
                    } else if (businessInfo.getStatus().equals("2")) {
                        businessInfo.setStatus("白户");
                    }
                }
                break;
            case 3:
                list = BusinessService.queryBusinessList("'3','4'",null);
                for (BusinessInfo businessInfo : list) {
                    if (businessInfo.getStatus().equals("3")) {
                        businessInfo.setStatus("查询失败");
                    } else if (businessInfo.getStatus().equals("4")) {
                        businessInfo.setStatus("查询异常");
                    }
                }
                break;

        }
        int businessSize= list.size();
        JSONObject resJson = new JSONObject();
        resJson.put("business_size", businessSize);
        return Result.success("ok", resJson);
    }

    @RequestMapping("businessList")
    public Result businessList(@RequestBody String json) {
        JSONObject req = JSON.parseObject(json);
        int pageNum = req.getIntValue("pageNum");
        int pageSize = req.getIntValue("pageSize");
        int businessType = req.getIntValue("businessType");
        PageHelper.startPage(pageNum, pageSize);//设置分页信息
        List<BusinessInfo> list=null;
        switch(businessType){
            case 1:
                list = BusinessService.queryBusinessList("'0'",null);
                for (BusinessInfo businessInfo : list) {
                    if (businessInfo.getStatus().equals("0")) {
                        businessInfo.setStatus("待解析");
                    }
                }
                break;
            case 2:
                list = BusinessService.queryBusinessList("'1','2'",null);
                for (BusinessInfo businessInfo : list) {
                    if (businessInfo.getStatus().equals("1")) {
                        businessInfo.setStatus("解析完成");
                    } else if (businessInfo.getStatus().equals("2")) {
                        businessInfo.setStatus("白户");
                    }
                }
                break;
            case 3:
                list = BusinessService.queryBusinessList("'3','4','5'",null);
                for (BusinessInfo businessInfo : list) {
                    if (businessInfo.getStatus().equals("3")) {
                        businessInfo.setStatus("查询失败");
                    } else if (businessInfo.getStatus().equals("4")) {
                        businessInfo.setStatus("查询异常");
                    }else if (businessInfo.getStatus().equals("5")){
                        businessInfo.setStatus("解析失败");
                    }
                }
                break;

        }
        PageInfo pageInfo = new PageInfo(list);
        JSONObject resJson = new JSONObject();
        resJson.put("business_list", pageInfo);
        return Result.success("ok", resJson);
    }


//
//    /**
//     * 获取待办业务列表
//     *
//     * @param json
//     * @return
//     */
//    @RequestMapping("businessToDoList")
//    public Result businessToDoList(@RequestBody String json) {
//        JSONObject req = JSON.parseObject(json);
//        int pageNum = req.getIntValue("pageNum");
//        int pageSize = req.getIntValue("pageSize");
//
//        PageHelper.startPage(pageNum, pageSize);//设置分页信息
//
//        List<BusinessInfo> list = BusinessService.queryToDoList();
//        PageInfo pageInfo = new PageInfo(list);
//        for (BusinessInfo businessInfo : list) {
//            if (businessInfo.getStatus().equals("0")) {
//                businessInfo.setStatus("待解析");
//            }
//        }
//        JSONObject resJson = new JSONObject();
//        resJson.put("business_todo_list", pageInfo);
//        return Result.success("ok", resJson);
//    }
    @RequestMapping("selectBusiness")
    public Result selectBusiness(@RequestBody String json) {
        JSONObject req = JSON.parseObject(json);
        int pageNum = req.getIntValue("pageNum");
        int pageSize = req.getIntValue("pageSize");
        String customerName = req.getString("customerName");
        int businessType = req.getIntValue("businessType");
        PageHelper.startPage(pageNum, pageSize);//设置分页信息
        List<BusinessInfo> list=null;
        switch(businessType){
            case 1:
                list = BusinessService.queryBusinessList("'0'",customerName);
                for (BusinessInfo businessInfo : list) {
                    if (businessInfo.getStatus().equals("0")) {
                        businessInfo.setStatus("待解析");
                    }
                }
                break;
            case 2:
                list = BusinessService.queryBusinessList("'1','2'",customerName);
                for (BusinessInfo businessInfo : list) {
                    if (businessInfo.getStatus().equals("1")) {
                        businessInfo.setStatus("解析完成");
                    } else if (businessInfo.getStatus().equals("2")) {
                        businessInfo.setStatus("白户");
                    }
                }
                break;
            case 3:
                list = BusinessService.queryBusinessList("'3','4'",customerName);
                for (BusinessInfo businessInfo : list) {
                    if (businessInfo.getStatus().equals("3")) {
                        businessInfo.setStatus("查询失败");
                    } else if (businessInfo.getStatus().equals("4")) {
                        businessInfo.setStatus("查询异常");
                    }
                }
                break;

        }
        PageInfo pageInfo = new PageInfo(list);
        JSONObject resJson = new JSONObject();
        resJson.put("select_business_list", pageInfo);
        return Result.success("ok", resJson);
    }
//    /**
//     * 待解析的业务
//     *
//     * @param json
//     * @return
//     */
//    @RequestMapping("selectBusinessToDo")
//    public Result selectBusinessToDo(@RequestBody String json) {
//        JSONObject req = JSON.parseObject(json);
//        int pageNum = req.getIntValue("pageNum");
//        int pageSize = req.getIntValue("pageSize");
//        String customerName = req.getString("customerName");
//        PageHelper.startPage(pageNum, pageSize);//设置分页信息
//
//        List<BusinessInfo> list = BusinessService.selectBusinessToDo(customerName);
//        PageInfo pageInfo = new PageInfo(list);
//
//        for (BusinessInfo businessInfo : list) {
//            if (businessInfo.getStatus().equals("0")) {
//                businessInfo.setStatus("待解析");
//            }
//        }
//        JSONObject resJson = new JSONObject();
//        resJson.put("select_business_todo", pageInfo);
//        return Result.success("ok", resJson);
//    }
//
//    /**
//     * 解析成功的业务列表
//     *
//     * @param json
//     * @return
//     */
//    @RequestMapping("businessAnalysisList")
//    public Result businessAnalysisList(@RequestBody String json) {
//        JSONObject req = JSON.parseObject(json);
//        int pageNum = req.getIntValue("pageNum");
//        int pageSize = req.getIntValue("pageSize");
//        PageHelper.startPage(pageNum, pageSize);//设置分页信息
//
//        List<BusinessInfo> list = BusinessService.queryAnalysisList("'1','2'");
//        PageInfo pageInfo = new PageInfo(list);
//        for (BusinessInfo businessInfo : list) {
//            if (businessInfo.getStatus().equals("1")) {
//                businessInfo.setStatus("解析完成");
//            } else if (businessInfo.getStatus().equals("2")) {
//                businessInfo.setStatus("白户");
//            }
//        }
//        JSONObject resJson = new JSONObject();
//        resJson.put("business_analysis_list", pageInfo);
//        return Result.success("ok", resJson);
//    }
//
//    //查询解析业务
//    @RequestMapping("selectBusinessAnalysis")
//    public Result selectBusinessAnalysis(@RequestBody String json) {
//        JSONObject req = JSON.parseObject(json);
//        int pageNum = req.getIntValue("pageNum");
//        int pageSize = req.getIntValue("pageSize");
//        String customerName = req.getString("customerName");
//        PageHelper.startPage(pageNum, pageSize);//设置分页信息
//
//        List<BusinessInfo> list = BusinessService.selectBusinessAnalysis(customerName);
//        PageInfo pageInfo = new PageInfo(list);
//
//        for (BusinessInfo businessInfo : list) {
//            if (businessInfo.getStatus().equals("3")) {
//                businessInfo.setStatus("查询失败");
//            } else if (businessInfo.getStatus().equals("4")) {
//                businessInfo.setStatus("查询异常");
//            }
//        }
//        JSONObject resJson = new JSONObject();
//        resJson.put("select_business_analysis", pageInfo);
//
//        return Result.success("ok", resJson);
//    }
//
//    /**
//     * 失败的业务
//     *
//     * @param json
//     * @return
//     */
//    @RequestMapping("businessFailList")
//    public Result businessFailList(@RequestBody String json) {
//        JSONObject req = JSON.parseObject(json);
//        int pageNum = req.getIntValue("pageNum");
//        int pageSize = req.getIntValue("pageSize");
//        PageHelper.startPage(pageNum, pageSize);//设置分页信息
//
//        List<BusinessInfo> list = BusinessService.queryFailList();
//        for (BusinessInfo businessInfo : list) {
//            if (businessInfo.getStatus().equals("3")) {
//                businessInfo.setStatus("查询失败");
//            } else if (businessInfo.getStatus().equals("4")) {
//                businessInfo.setStatus("查询异常");
//            }
//        }
//        PageInfo pageInfo = new PageInfo(list);
//        JSONObject resJson = new JSONObject();
//        resJson.put("business_fail_list", pageInfo);
//        return Result.success("ok", resJson);
//    }
//
//    //查询失败业务
//    @RequestMapping("selectBusinessFail")
//    public Result selectBusinessFail(@RequestBody String json) {
//        JSONObject req = JSON.parseObject(json);
//        int pageNum = req.getIntValue("pageNum");
//        int pageSize = req.getIntValue("pageSize");
//        String customerName = req.getString("customerName");
//        PageHelper.startPage(pageNum, pageSize);//设置分页信息
//
//        List<BusinessInfo> list = BusinessService.selectBusinessFail(customerName);
//        PageInfo pageInfo = new PageInfo(list);
//
//        for (int i = 0; i < list.size(); i++) {
//            list.get(i).setStatus("待解决");
//        }
//        JSONObject resJson = new JSONObject();
//        resJson.put("select_business_fail", pageInfo);
//        return Result.success("ok", resJson);
//    }

    @GetMapping("findBusinessInfoByNum/{businessNum}")
    public Result findBusinessInfoByNum(@PathVariable("businessNum") String businessNum) {
        JSONObject resJson = new JSONObject();
        BusinessInfo list = BusinessService.QueryBusinessInfoByNum(businessNum);
        resJson.put("business_info", list);
        System.out.println(list);

        return Result.success("ok", resJson);
    }


    //查找逻辑修改原来是bussinessnum,1.2开始是headInfId
    @GetMapping("findCustomInfoByHead/{headInfId}")
    public Result findCustomInfoByHead(@PathVariable("headInfId") String headInfId) {
        JSONObject resJson = new JSONObject();
        CustomInfo list1 = CustomInfoService.QueryCustomInfo(headInfId);

        //下面两个方法还不知道
        List<CustomInfo> list2 = CustomInfoService.QueryCustomTelephone(headInfId);

        if(list2!=null) {
            String telephonelist = "";
            for (int i = 0; i < list2.size(); i++) {
                CustomInfo customInfo = list2.get(i);
                telephonelist += (customInfo.telephone);
                telephonelist += ";  ";
            }
            if(list1!=null) {
                list1.telephone = telephonelist;

            }
        }


        resJson.put("custom_info", list1);


        return Result.success("ok", resJson);
    }

}
