package com.kexun.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.kexun.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 字段定义表
 * </p>
 *
 * @author lgs
 * @since 2023-06-21
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("field_define")
@ApiModel(value="FieldDefineEntity对象", description="字段定义表")
public class FieldDefineEntity extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "字段编号 唯一")
    @TableField("field_no")
    private String fieldNo;

    @ApiModelProperty(value = "字段名称")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "中文名称")
    @TableField("name_zh")
    private String nameZh;



    @ApiModelProperty(value = "字段类别 1-基础字段;2-衍生字段")
    @TableField("category")
    private String category;

    @ApiModelProperty(value = "字段类型")
    @TableField("type")
    private String type;

    @ApiModelProperty(value = "提取逻辑 1-直接提取;2-算法实现;3-复杂计算")
    @TableField("fetch_logic")
    private String fetchLogic;

    @ApiModelProperty(value = "算法公式")
    @TableField("formula_expr")
    private String formulaExpr;

    @ApiModelProperty(value = "算法实现类")
    @TableField("formula_class")
    private String formulaClass;

    @ApiModelProperty(value = "算法调用方法")
    @TableField("formula_method")
    private String formulaMethod;

    @ApiModelProperty(value = "算法描述")
    @TableField("formula_desc")
    private String formulaDesc;

    @ApiModelProperty(value = "算法参数")
    @TableField("param")
    private String param;

    @ApiModelProperty(value = "所属三级分类")
    @TableField("three_level")
    private String threeLevel;

    @ApiModelProperty(value = "获取路径")
    @TableField("path")
    private String path;

    @ApiModelProperty(value = "所属三级分类中文名")
    @TableField("three_level_zh")
    private String threeLevelZh;

    @ApiModelProperty(value = "所属二级分类")
    @TableField("two_level")
    private String twoLevel;

    @ApiModelProperty(value = "所属二级分类中文名")
    @TableField("two_level_zh")
    private String twoLevelZh;

    @ApiModelProperty(value = "所属一级分类")
    @TableField("one_level")
    private String oneLevel;

    @ApiModelProperty(value = "所属一级分类中文名")
    @TableField("one_level_zh")
    private String oneLevelZh;

    @ApiModelProperty(value = "所在json的key")
    @TableField("json_key")
    private String jsonKey;

    @ApiModelProperty(value = "字段类别编号")
    @TableField("type_no")
    private String typeNo;

    @ApiModelProperty(value = "启用状态")
    @TableField("status")
    private String status;


}
