package com.kexun.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.kexun.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 字段参数表
 * </p>
 *
 * @author lgs
 * @since 2023-11-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("field_param")
@ApiModel(value="FieldParamEntity对象", description="字段参数表")
public class FieldParamEntity extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "字段定义表ID")
    @TableField("field_define_id")
    private Long fieldDefineId;

    @ApiModelProperty(value = "字段定义表编号")
    @TableField("derive_field_no")
    private String deriveFieldNo;

    @ApiModelProperty(value = "参数字段编号")
    @TableField("field_no")
    private String fieldNo;

    @ApiModelProperty(value = "参数字段名")
    @TableField("field_name")
    private String fieldName;

    @ApiModelProperty(value = "参数字段中文名")
    @TableField("field_name_zh")
    private String fieldNameZh;

    @ApiModelProperty(value = "参数类型")
    @TableField("param_type")
    private String paramType;

    @ApiModelProperty(value = "参数值")
    @TableField("param_value")
    private String paramValue;

    @ApiModelProperty(value = "参数扩展值")
    @TableField("param_extend")
    private String paramExtend;


}
