package com.kexun.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.kexun.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 民事判决记录
 * </p>
 *
 * @author lgs
 * @since 2023-06-13
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("cr_pub_civil")
@ApiModel(value="PubCivilEntity对象", description="民事判决记录")
public class PubCivilEntity extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "报告头信息表id")
    @TableField("head_inf_id")
    private Long headInfId;

    @ApiModelProperty(value = "报告编码")
    @TableField("rpt_no")
    private String rptNo;

    @ApiModelProperty(value = "姓名")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "证件号码")
    @TableField("id_num")
    private String idNum;

    @ApiModelProperty(value = "立案法院")
    @TableField("court")
    private String court;

    @ApiModelProperty(value = "案由")
    @TableField("cause_of_action")
    private String causeOfAction;

    @ApiModelProperty(value = "立案日期")
    @TableField("filing_date")
    private String filingDate;

    @ApiModelProperty(value = "结案方式代码")
    @TableField("close_case_code")
    private String closeCaseCode;

    @ApiModelProperty(value = "结案方式描述")
    @TableField("close_case_desc")
    private String closeCaseDesc;

    @ApiModelProperty(value = "判决/调解结果")
    @TableField("jud_result")
    private String judResult;

    @ApiModelProperty(value = "判决/调解生效日期")
    @TableField("jud_date")
    private String judDate;

    @ApiModelProperty(value = "诉讼标的")
    @TableField("subject_of_action")
    private String subjectOfAction;

    @ApiModelProperty(value = "诉讼标的金额")
    @TableField("subject_of_aciton_amt")
    private BigDecimal subjectOfAcitonAmt;


}
