package com.kexun.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.kexun.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 欠税记录
 * </p>
 *
 * @author lgs
 * @since 2023-06-13
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("cr_pub_owing_taxes")
@ApiModel(value="PubOwingTaxesEntity对象", description="欠税记录")
public class PubOwingTaxesEntity extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "报告头信息表id")
    @TableField("head_inf_id")
    private Long headInfId;

    @ApiModelProperty(value = "报告编码")
    @TableField("rpt_no")
    private String rptNo;

    @ApiModelProperty(value = "姓名")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "证件号码")
    @TableField("id_num")
    private String idNum;

    @ApiModelProperty(value = "主管税务机关")
    @TableField("tax_authority")
    private String taxAuthority;

    @ApiModelProperty(value = "欠税总额")
    @TableField("owing_taxes_total")
    private BigDecimal owingTaxesTotal;

    @ApiModelProperty(value = "欠税统计日期")
    @TableField("owing_taxes_date")
    private String owingTaxesDate;


}
