package com.kexun.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.kexun.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 查询记录
 * </p>
 *
 * @author lgs
 * @since 2023-06-13
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("cr_query_record")
@ApiModel(value="QueryRecordEntity对象", description="查询记录")
public class QueryRecordEntity extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "报告头信息表id")
    @TableField("head_inf_id")
    private Long headInfId;

    @ApiModelProperty(value = "报告编码")
    @TableField("rpt_no")
    private String rptNo;

    @ApiModelProperty(value = "姓名")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "证件号码")
    @TableField("id_num")
    private String idNum;

    @ApiModelProperty(value = "查询日期")
    @TableField("query_date")
    private String queryDate;

    @ApiModelProperty(value = "查询机构类型代码")
    @TableField("org_type_code")
    private String orgTypeCode;

    @ApiModelProperty(value = "查询机构类型描述")
    @TableField("org_type_desc")
    private String orgTypeDesc;

    @ApiModelProperty(value = "查询机构")
    @TableField("query_org")
    private String queryOrg;

    @ApiModelProperty(value = "查询原因")
    @TableField("query_reason_code")
    private String queryReasonCode;

    @ApiModelProperty(value = "查询原因描述")
    @TableField("query_reason_desc")
    private String queryReasonDesc;


}
