package com.kexun.model.xml;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

/**
 * Description:报告头. 防欺诈警示信息段
 *
 * @author lgs
 * @date 2023/05/31
 */
@Data
public class HeadFraud implements IXmlBase {
    private static final long serialVersionUID = 1L;

    /**
     * 防欺诈警示标志代码
     */
    @JSONField(name = "SIGNCOODE")
    private String signCoode;

    /**
     * 防欺诈警示标志描述
     */
    @JSONField(name = "SIGNDESC")
    private String signDesc;

    /**
     * 防欺诈警示联系电话
     */
    @JSONField(name = "TEL")
    private String tel;

    /**
     * 防欺诈警示生效日期
     */
    @JSONField(name = "EFFDATE")
    private String effDate;

    /**
     * 防欺诈警示截止日期
     */
    @JSONField(name = "ENDDATE")
    private String endDate;
}
