package com.kexun.model.xml;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * Description：最近查询情况
 *
 * @author lgs
 * @date 2023/06/09
 */
@Data
public class LastMounthQueryRecord {
    /**
     * 最近 1 个月内的查询机构数（贷款审批）
     */
    @JSONField(name = "LAST1ORGSP")
    private Integer last1mOrgSp;

    /**
     * 最近 1 个月内的查询机构数（信用卡审批）
     */
    @JSONField(name = "LAST1CREDITSP")
    private Integer last1mCreditSp;

    /**
     * 最近 1 个月内的查询次数（贷款审批）
     */
    @JSONField(name = "NUMSP")
    private Integer numSp;

    /**
     * 最近 1 个月内的查询次数（信用卡审批）
     */
    @JSONField(name = "NUMCREDITSP")
    private Integer numCreditSp;

    /**
     * 最近 1 个月内的查询次数（本人查询）
     */
    @JSONField(name = "LAST1NUMSELF")
    private Integer last1monthNumSelf;

    /**
     * 最近2年的查询次数（贷后管理）
     */
    @JSONField(name = "L2YNUMDH")
    private Integer last2yearNumDh;

    /**
     * 最近2年的查询次数（担保资格审查）
     */
    @JSONField(name = "L2YNUMDBZG")
    private Integer last2yearNumDbzg;

    /**
     * 最近2年的查询次数（特约商户实名审查）
     */
    @JSONField(name = "L2NUMTYSH")
    private Integer last2yearNumTysh;
}
