package com.kexun.model.xml.trs;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

/**
 * Description: 信贷交易明细信息
 *
 * @author lgs
 * @date 2023/06/12
 */
@Data
public class TrsAcctInf {

    /**
     * 基本信息
     */
    @JSONField(name = "CREDITBASEINFOBO")
    private TrsBase trsBase;

    /**
     * 最新表现信息
     */
    @JSONField(name = "NEWPERFORMANCEBO")
    private TrsLate trsLate;


    /**
     * 最近一次月度表现信息
     */
    @JSONField(name = "LATEMONTHLYPERFORMANCEBO")
    private TrsLateMonth trsLateMonth;

    /**
     * 最近5年内历史表现信息
     */
    @JSONField(name = "FIVEYEARPERFORMANCESG")
    private TrsFiveYear trsFiveYear;

    /**
     * 特殊交易信息
     */
    @JSONField(name = "SPECIALTRADEBASEINFOBOLS")
    private TrsSpecInf trsSpecInf;

    /**
     * 特殊事件说明信息
     */
    @JSONField(name = "SPECIALEVENTBASEINFOBOLS")
    private TrsSpecEvtInf trsSpecEvtInf;

    /**
     * 大额专项分期信息段
     */
    @JSONField(name = "BIGQUOTABASEINFOBOLS")
    private TrsSpecPrdInf trsSpecPrdInf;
}
