package com.kexun.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.kexun.entity.FieldParamEntity;
import com.kexun.mapper.FieldParamMapper;
import com.kexun.service.FieldParamService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import java.util.List;

/**
 * <p>
 * 字段参数表 服务实现类
 * </p>
 *
 * @author lgs
 * @since 2023-11-17
 */
@Service
public class FieldParamServiceImpl extends ServiceImpl<FieldParamMapper, FieldParamEntity> implements FieldParamService {

    /**
     * 根据字段定义编号查询该字段的参数
     * @param fieldNo
     * @return
     */
    @Override
    public List<FieldParamEntity> listByFieldNo(String fieldNo) {

        QueryWrapper queryWrapper = new QueryWrapper();
        if (!StringUtils.isEmpty(fieldNo)) {
            queryWrapper.eq("derive_field_no", fieldNo);
        }
        List<FieldParamEntity> list = super.list(queryWrapper);

        return list;
    }
}
