package com.kexun.service.xml;

import com.kexun.entity.CrHeadOtherIdEntity;
import com.kexun.model.dto.CommonParam;
import com.kexun.model.xml.HeadOther;
import com.kexun.model.xml.HeadOtherList;
import com.kexun.model.xml.IXmlBase;
import com.kexun.service.CrHeadOtherIdService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * Description:报告头. 其他身份标识信息段
 *
 * @author lgs
 * @date 2023/05/30
 */
@Service
@Slf4j
public class HeadOtherIdHandlerService implements IHandleXmlBaseService {

    @Autowired
    CrHeadOtherIdService crHeadOtherIdService;

    @Override
    public void handleXmlSgmt(CommonParam commonParam, IXmlBase reportXmlBase) {
        if (reportXmlBase instanceof HeadOther) {
            HeadOther headOther = (HeadOther) reportXmlBase;
            List<HeadOtherList> headOtherList = headOther.getHeadOtherList();
            List<CrHeadOtherIdEntity> headOtherIdEntities = new ArrayList<>();
            for (HeadOtherList otherList : headOtherList) {
                CrHeadOtherIdEntity crHeadOtherIdEntity = new CrHeadOtherIdEntity();
                BeanUtils.copyProperties(otherList, crHeadOtherIdEntity);
                crHeadOtherIdEntity.setIdTypeCode(commonParam.getIdTypeCode());
                crHeadOtherIdEntity.setIdTypeDesc(commonParam.getIdTypeDesc());
                crHeadOtherIdEntity.setName(commonParam.getName());
                crHeadOtherIdEntity.setIdNum(commonParam.getIdNum());
                crHeadOtherIdEntity.setHeadInfId(commonParam.getHeadInfId());
                crHeadOtherIdEntity.setRptNo(commonParam.getRptNo());
                headOtherIdEntities.add(crHeadOtherIdEntity);
            }
            crHeadOtherIdService.saveBatch(headOtherIdEntities);
        }
    }
}
