package com.kexun.service.xml;

import com.kexun.entity.SmryNumReadEntity;
import com.kexun.model.dto.CommonParam;
import com.kexun.model.xml.IXmlBase;
import com.kexun.model.xml.SmryNumRead;
import com.kexun.model.xml.SmryNumReadInf;
import com.kexun.service.SmryNumReadService;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;

/**
 * Description:信息概要. 2.0 个人信用报告“数字解读
 *
 * @author lgs
 * @date 2023/06/07
 */
@Service
public class SmryNumReadHandlerService implements IHandleXmlBaseService{

    @Autowired
    SmryNumReadService smryNumReadService;

    @Override
    public void handleXmlSgmt(CommonParam commonParam, IXmlBase reportXmlBase) {
        if (reportXmlBase instanceof SmryNumRead){
            SmryNumRead smryNumRead = (SmryNumRead) reportXmlBase;
            List<SmryNumReadInf> smryNumReadInfList = smryNumRead.getSmryNumReadInfList();
            String scoreExplain = smryNumReadInfList.stream().map(SmryNumReadInf::getScoreExplain)
                    .collect(Collectors.joining(";"));
            SmryNumReadEntity smryNumReadEntity = new SmryNumReadEntity();
            BeanUtils.copyProperties(smryNumRead,smryNumReadEntity);
            smryNumReadEntity.setHeadInfId(commonParam.getHeadInfId());
            smryNumReadEntity.setRptNo(commonParam.getRptNo());
            smryNumReadEntity.setScoreExplain(scoreExplain);
            smryNumReadService.save(smryNumReadEntity);
        }
    }
}
