package com.kexun.task;

import com.kexun.constant.ReportConsts;
import com.kexun.entity.ReportInfo;
import com.kexun.enums.ReportStatusEnum;
import com.kexun.model.ReportStruct;
import com.kexun.model.Request;
import com.kexun.service.ReportInfoService;
import com.kexun.service.XmlFileHandlerService;
import com.kexun.service.impl.ReportInfoServiceImpl;
import com.xxl.job.core.context.XxlJobHelper;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Optional;

/**
 * Description: 定时任务：
 * 读取指定目录下xml文件，进行解密，解析xml报文，然后记录到数据库表中report_info
 *
 * @author lgs
 * @date 2023/05/08
 */
@Component
@Slf4j
public class ReadXmlFileJobHandler {

    @Autowired
    XmlFileHandlerService xmlFileHandlerService;



    /**
     * 处理思路
     * 1、读取指定目录下xml文件
     * 2、解析xml文件，保存到表report_info。
     * 3、判断是否重复，读取完之后移动读取的文件到其他目录
     *
     * @throws Exception
     */
    @XxlJob("readXmlFileJobHandler")
    public void readXmlFile() throws Exception {
        log.info("定时任务1开始读取文件");
        //读取xml文件
        xmlFileHandlerService.readXmlFile();

    }
}
